Page MenuHomePhabricator

CX2: Show introduction card only when relevant
Closed, ResolvedPublic

Description

The introduction card provides basic instructions on how to get started with the tool. Currently it is shown persistently, regardless of the context. We want the card to be shown only when the card is more valuable. That is, when both of these conditions apply:

  • At the document level, when the input focus is not on the content.
  • No content has been added to the translation yet.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterCX2: Show introduction card only when relevant

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2018, 12:04 PM
Pginer-WMF triaged this task as Medium priority.Mar 16 2018, 12:04 PM

A technical interpretation:

As per T188072, the tools column is going to have contextual and non-contextual tools. Contextual tools are VE tools. Instructions tool, Article level issues etc are non-contextual tools.

When contextual tools are shown, we won't show non-contextual tools. When there is no contextual tool, we show non-contextual tools if any. In the scope of this ticket, that is the instructions tool

Change 425514 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Show introduction card only when relevant

https://gerrit.wikimedia.org/r/425514

Change 425514 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Show introduction card only when relevant

https://gerrit.wikimedia.org/r/425514

Arrbee moved this task from In Review to QA on the Language-2018-Apr-June board.Apr 26 2018, 8:32 AM
Pginer-WMF closed this task as Resolved.Apr 27 2018, 1:21 PM
Pginer-WMF moved this task from QA to Done on the Language-2018-Apr-June board.